// $Id: ClockView.h,v 1.1 1996/05/27 21:36:49 ethyl Exp ethyl $
// ClockView.h
//

#pragma once

#include <View.h>
#include <Font.h>
#include <PopUpMenu.h>
#include <time.h>

#pragma export on

class ClockView : public BView
{
	public:
		ClockView( BRect r );
		ClockView( BMessage *data );
		~ClockView();
		status_t	Archive( BMessage *data, bool deep = true ) const;
		static ClockView* Instantiate( BMessage *data );
		virtual void AttachedToWindow( void );
		virtual void Draw( BRect r );
		virtual void MessageReceived( BMessage *m );
		virtual void MouseDown( BPoint p );
		virtual void Pulse( void );

		void Refresh( void );
		void InitFont( void );
		void InitObject( void );
		void SetFontFamily( const char *family );

	private:
		void GetUTF8Numeral( uint8 n, char *utf8 );

		char			mTimeStr[30];
		BFont			mFont;
		font_family		*mFontFamilies;
		int32			mNumFontFamilies;
		BPopUpMenu		*mFontMenu;
};

#pragma export reset
