// $Id: ClockWindow.cpp,v 1.1 1996/05/27 21:37:28 ethyl Exp ethyl $
// ClockWindow.cpp
//

#include "ClockWindow.h"
#include <Dragger.h>

ClockWindow::ClockWindow( BRect r )
	: BWindow( r, "ClockJ", B_TITLED_WINDOW, B_NOT_RESIZABLE )
{
	SetPulseRate( 1000000 );	// 1 sec pulse interval

	r.OffsetTo( B_ORIGIN );
	mClockView = new ClockView( r );

	BRect draggerRect = r;
	draggerRect.top = draggerRect.bottom-7;
	draggerRect.left = draggerRect.right-7;
	draggerRect.OffsetBy( -1, -1 );
	BDragger *dragger = new BDragger( draggerRect, mClockView, 0 );
	mClockView->AddChild( dragger );

	if ( Lock() ) {
		AddChild( mClockView );
		Unlock();
	}
}

ClockWindow::~ClockWindow()
{
}

void
ClockWindow::MessageReceived( BMessage *m )
{
	printf( "ClockWindow::MessageReceived()\n" );
	switch ( m->what ) {
	default:
		inherited::MessageReceived( m );
	}
}

bool
ClockWindow::QuitRequested( void )
{
	be_app->PostMessage( B_QUIT_REQUESTED );
	return TRUE;
}
